/**
 * Geotag
 * Copyright (C) 2007-2017 Andreas Schneider
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.fibs.geotag.util;

/**
 * A class with convenience constants for Unicode characters.
 * 
 * @author Andreas Schneider
 * 
 */
public class Unicode {
  /** The symbol for degrees. */
  public static final String DEGREE_SYMBOL = "\u00B0"; //$NON-NLS-1$

  /** The symbol for minutes. */
  public static final String SINGLE_PRIME_MARK = "\u2032"; //$NON-NLS-1$

  /** the symbol for seconds. */
  public static final String DOUBLE_PRIME_MARK = "\u2033"; //$NON-NLS-1$

  /** The plus/minus symbol. */
  public static final String PLUS_MINUS_SIGN = "\u00B1"; //$NON-NLS-1$
}
